{
  "name": "zmusic",
  "version": "0.1.0",
  "author": "zlyum",
  "main": "electron/electron.js",
  "scripts": {
    "dev": "vite --port 3301",
    "build": "vite build",
    "serve": "vite preview",
    "vite-tauri": "vite-tauri",
    "svr": "node ../NMApi/app.js",
    "svr:dev": "yarn svr & yarn dev",
    "electron": "wait-on tcp:3301 && cross-env IS_DEV=true electron .",
    "electron:pack": "electron-builder --dir",
    "electron:dev": "concurrently -k \"cross-env BROWSER=none yarn dev\" \"yarn electron\"",
    "electron:builder": "electron-builder",
    "build:for:electron": "cross-env ELECTRON=true vite build",
    "app:pack": "yarn build:for:electron && yarn electron:pack",
    "app:build": "yarn build:for:electron && yarn electron:builder"
  },
  "dependencies": {
    "axios": "^0.22.0",
    "core-js": "^3.6.5",
    "crypto-js": "^4.1.1",
    "dayjs": "^1.10.7",
    "element-plus": "^1.1.0-beta.19",
    "hotkeys-js": "^3.8.7",
    "js-sha256": "^0.9.0",
    "lodash": "^4.17.21",
    "mockjs": "^1.1.0",
    "pubsub-js": "^1.9.3",
    "spark-md5": "^3.0.2",
    "unplugin-vue-components": "^0.15.6",
    "vue": "^3.2.16",
    "vue-router": "^4.0.0-0",
    "vue3-lazyload": "^0.2.2-beta",
    "vue3-styled-components": "^1.2.1",
    "vuex": "^4.0.0-0"
  },
  "devDependencies": {
    "@vitejs/plugin-vue": "^1.9.3",
    "@vue/cli-plugin-babel": "~4.5.0",
    "@vue/cli-plugin-eslint": "~4.5.0",
    "@vue/cli-plugin-router": "~4.5.0",
    "@vue/cli-plugin-vuex": "~4.5.0",
    "@vue/cli-service": "~4.5.0",
    "@vue/compiler-sfc": "^3.0.0",
    "@vue/eslint-config-prettier": "^6.0.0",
    "autoprefixer": "^10.4.2",
    "babel-eslint": "^10.1.0",
    "concurrently": "^6.3.0",
    "cross-env": "^7.0.3",
    "electron": "^15.1.2",
    "electron-builder": "^22.13.1",
    "electron-devtools-installer": "^3.1.0",
    "eslint": "^6.7.2",
    "eslint-plugin-prettier": "^3.3.1",
    "eslint-plugin-vue": "^7.0.0",
    "less": "^3.0.4",
    "less-loader": "^5.0.0",
    "naive-ui": "^2.24.5",
    "postcss": "^8.4.5",
    "prettier": "^2.2.1",
    "svg-sprite-loader": "^6.0.11",
    "tailwindcss": "^3.0.16",
    "vite": "^2.6.4",
    "vite-plugin-tauri": "^0.1.3",
    "vite-svg-loader": "^2.2.0",
    "wait-on": "^6.0.0"
  },
  "build": {
    "appId": "com.zlyum.zmusic",
    "productName": "zmusic",
    "copyright": "Copyright © 2021 ${author}",
    "mac": {
      "category": "public.app-category.utilities"
    },
    "nsis": {
      "oneClick": false,
      "allowToChangeInstallationDirectory": true
    },
    "files": [
      "dist/**/*",
      "electron/**/*"
    ],
    "extraResources": [
      {
        "from": "NMApi.asar",
        "to": ""
      }
    ],
    "directories": {
      "buildResources": "assets",
      "output": "dist_electron"
    }
  }
}
